

package gov.va.med.cds.uniqueidentifier;


public class UniqueIdentifier
{
    private String value;


    public UniqueIdentifier( )
    {
        this( true );   // default to secure random guid
    }


    public UniqueIdentifier( boolean secure )
    {
        value = new RandomGuid(secure).toString();
    }


    public String getValue( )
    {
        return value;
    }


    @Override
    public String toString( )
    {
        return value;
    }
}
